/**
 *
 * @param {Transform} transform
 * @param {THREE.Object3D} three_object
 */
export function copy_three_transform(transform, three_object) {

    // copy object transform
    transform.position.copy(three_object.position);
    transform.scale.copy(three_object.scale);
    transform.rotation.copy(three_object.quaternion);

    //
    transform.matrix.set(three_object.matrix.elements);
}
